#!/bin/sh
SYNOPKG_PKGNAME="UsbSerialDrivers"
SYNOPKG_PKGDEST="/@appstore/${SYNOPKG_PKGNAME}"
VAR_DIR="${SYNOPKG_PKGDEST}/var"
LOG_DIR="${VAR_DIR}/logs"
LOG_FILE="${LOG_DIR}/${SYNOPKG_PKGNAME}.log"
PID_FILE="${VAR_DIR}/${SYNOPKG_PKGNAME}.pid"
BIN_DIR="${SYNOPKG_PKGDEST}/bin"

case $1 in
    start)
	if [ -f ${PID_FILE} ]
	then
	    echo "$(date +"%D-%T") USB Serial driver already loaded" >> ${LOG_FILE}
	    exit 0
	else
	    echo "$(date +"%D-%T") Loading modules" >> ${LOG_FILE}
	    ${BIN_DIR}/load_usb.sh	   
	    if [ $? != 0 ]
	    then
		echo "$(date +"%D-%T") Error loading USB Serial modules" >> ${LOG_FILE}
	    else
		echo "$(date +"%D-%T") USB Serial modules loaded successfuly" >> ${LOG_FILE}
		touch ${PID_FILE}
	    fi
	    exit $?
	fi
	;;
    stop)
	if [ -f ${PID_FILE} ]
	then
	    echo "$(date +"%D-%T") Unloading USB Serial modules" >> ${LOG_FILE}
	    ${BIN_DIR}/unload_usb.sh	   
	    if [ $? != 0 ]
	    then
		echo "$(date +"%D-%T") Error unloading USB Serial modules" >> ${LOG_FILE}
	    else
		echo "$(date +"%D-%T") USB Serial modules unloaded successfuly" >> ${LOG_FILE}
		rm ${PID_FILE}
	    fi
	    exit $?
	else
	    exit 0
	fi
	;;
    *)
     echo "Usage: UsbSerialDrivers.sh <start|stop>"
     exit 1
     ;;
esac
